diff options
author | Robin H. Johnson <robbat2@gentoo.org> | 2015-08-08 13:49:04 -0700 |
---|---|---|
committer | Robin H. Johnson <robbat2@gentoo.org> | 2015-08-08 17:38:18 -0700 |
commit | 56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch) | |
tree | 3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-admin/qpage | |
download | gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2 gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip |
proj/gentoo: Initial commit
This commit represents a new era for Gentoo:
Storing the gentoo-x86 tree in Git, as converted from CVS.
This commit is the start of the NEW history.
Any historical data is intended to be grafted onto this point.
Creation process:
1. Take final CVS checkout snapshot
2. Remove ALL ChangeLog* files
3. Transform all Manifests to thin
4. Remove empty Manifests
5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$
5.1. Do not touch files with -kb/-ko keyword flags.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests
X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project
X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration
X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn
X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts
X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration
X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging
X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-admin/qpage')
-rw-r--r-- | app-admin/qpage/Manifest | 1 | ||||
-rw-r--r-- | app-admin/qpage/files/qpage | 29 | ||||
-rw-r--r-- | app-admin/qpage/files/qpage-3.3-fix-warning.patch | 12 | ||||
-rw-r--r-- | app-admin/qpage/files/qpage-3.3-gentoo.patch | 72 | ||||
-rw-r--r-- | app-admin/qpage/metadata.xml | 15 | ||||
-rw-r--r-- | app-admin/qpage/qpage-3.3.ebuild | 70 |
6 files changed, 199 insertions, 0 deletions
diff --git a/app-admin/qpage/Manifest b/app-admin/qpage/Manifest new file mode 100644 index 000000000000..2d6a502ba352 --- /dev/null +++ b/app-admin/qpage/Manifest @@ -0,0 +1 @@ +DIST qpage-3.3.tar.Z 225689 SHA256 0bbecd2908380c5d28b8beeee0d0238854162128db5ef4ea603614d52ee7d24c SHA512 d6062fb9e9cd6cfd60cadb923d29d36fd649c27adff2a36fd4e768798b90780153b78e7d0d1a13dcad94971ac98b32c1c5a3b415d5a1b4aa1cfbac564514a3e9 WHIRLPOOL 2a1ed78e6f25a07e872848cb75c82111f6c80ae4b03714ff5f7a872a33788da58d2cd1a14d127e4f17503939e0d640a6a43cc0d5adf83f8616d927da16cfe9fc diff --git a/app-admin/qpage/files/qpage b/app-admin/qpage/files/qpage new file mode 100644 index 000000000000..a937af3d210d --- /dev/null +++ b/app-admin/qpage/files/qpage @@ -0,0 +1,29 @@ +#!/sbin/runscript +# Copyright 1999-2004 Gentoo Foundation +# Distributed under the terms of the GNU General Public License v2 +# $Id$ + +depend() { + need net +} + +checkconfig() { + if [ ! -e /etc/qpage/qpage.cf ] ; then + eerror "You need a /etc/qpage/qpage.cf file first." + eerror "There is a sample file in /etc/qpage/." + return 1 + fi +} + +start() { + checkconfig || return 1 + ebegin "Starting qpage" + start-stop-daemon --start --quiet --exec /usr/bin/qpage -- -q 10 + eend $? +} + +stop() { + ebegin "Stopping qpage" + start-stop-daemon --stop --quiet --exec /usr/bin/qpage + eend $? +} diff --git a/app-admin/qpage/files/qpage-3.3-fix-warning.patch b/app-admin/qpage/files/qpage-3.3-fix-warning.patch new file mode 100644 index 000000000000..722677648250 --- /dev/null +++ b/app-admin/qpage/files/qpage-3.3-fix-warning.patch @@ -0,0 +1,12 @@ +diff -urN qpage-3.3.orig/srvrsnpp.c qpage-3.3/srvrsnpp.c +--- qpage-3.3.orig/srvrsnpp.c 1998-10-25 14:55:05.000000000 -0500 ++++ qpage-3.3/srvrsnpp.c 2006-01-25 15:49:57.000000000 -0500 +@@ -1061,7 +1061,7 @@ + if (ptr && strcmp(ptr, STRING_UNKNOWN) != 0) + p->ident = strdup(ptr); + +- ptr = eval_hostinfo(&request.client); ++ ptr = eval_hostinfo(&request.client[0]); + + if (ptr && strcmp(ptr, STRING_UNKNOWN) != 0) + p->hostname = strdup(ptr); diff --git a/app-admin/qpage/files/qpage-3.3-gentoo.patch b/app-admin/qpage/files/qpage-3.3-gentoo.patch new file mode 100644 index 000000000000..577fb8a4ff3b --- /dev/null +++ b/app-admin/qpage/files/qpage-3.3-gentoo.patch @@ -0,0 +1,72 @@ +--- config.input.dist 2003-04-11 14:03:36.000000000 -0700 ++++ config.input 2003-04-11 14:05:47.000000000 -0700 +@@ -20,7 +20,7 @@ + # See the QuickPage documentation for complete details about + # the syntax of the configuration file. + # +-QPAGE_CONFIG="/etc/qpage.cf" ++QPAGE_CONFIG="/etc/qpage/qpage.cf" + + + # +@@ -41,7 +41,7 @@ + # copies of the configuration file. Only one filename + # may be specified. + # +-SNPP_SERVER_FILE="/etc/qpage.servers" ++SNPP_SERVER_FILE="/etc/qpage/qpage.servers" + + + # +--- qpage.man.dist 2003-04-18 14:43:45.000000000 -0700 ++++ qpage.man 2003-04-18 14:43:55.000000000 -0700 +@@ -867,7 +867,7 @@ + must be able to detect when it's safe to send dial commands to the modem. + .LP + .SH FILES +-/etc/qpage.cf ++/etc/qpage/qpage.cf + .SH SEE ALSO + .B RFC-1861 + .SH KNOWN BUGS +--- example.cf.dist 2003-04-25 09:55:47.000000000 -0700 ++++ example.cf 2003-04-25 10:55:11.000000000 -0700 +@@ -21,7 +21,7 @@ + # + # modem=<modem name> + # text=<optional text, no whitespace allowed> +-# device=<modem device e.g. /dev/ttya> ++# device=<modem device e.g. /dev/tts/0> + # initcmd=<modem initialization command> + # dialcmd=<modem dial command not including phone number> + # +@@ -64,14 +64,15 @@ + + queuedir=/var/spool/qpage + ++lockdir=/var/lock/subsys/qpage ++ + identtimeout=5 + snpptimeout=60 + +-modem=ttya device=/dev/cua/a +-modem=ttyb device=/dev/cua/b ++modem=ttyS0 device=/dev/tts/0 + + service=default +- device=ttya,ttyb ++ device=ttyS0 + baudrate=1200 + parity=even + allowpid=yes +--- ixo.c.dist 2003-04-25 11:36:30.000000000 -0700 ++++ ixo.c 2003-04-25 11:37:37.000000000 -0700 +@@ -192,7 +192,7 @@ + if ((i = read_modem(fd, seconds)) < 0) + return(NULL); + +- if (i == '\r') { ++ if (i == '\r' || i == '\n') { + *ptr = '\0'; + got_full_packet++; + } diff --git a/app-admin/qpage/metadata.xml b/app-admin/qpage/metadata.xml new file mode 100644 index 000000000000..05df577170f0 --- /dev/null +++ b/app-admin/qpage/metadata.xml @@ -0,0 +1,15 @@ +<?xml version="1.0" encoding="UTF-8"?> +<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd"> +<pkgmetadata> +<maintainer> + <email>chutzpah@gentoo.org</email> + <name>Patrick McLean</name> +</maintainer> +<longdescription lang="en"> +QuickPage is a client/server software package that enables you to send messages +to an alphanumeric pager. The client accepts a message from the user and +forwards it to a server using SNPP. The server uses a modem to transmit the +message to the recipient's paging service using the TAP protocol (also known as +the IXO protocol). +</longdescription> +</pkgmetadata> diff --git a/app-admin/qpage/qpage-3.3.ebuild b/app-admin/qpage/qpage-3.3.ebuild new file mode 100644 index 000000000000..dfb769629093 --- /dev/null +++ b/app-admin/qpage/qpage-3.3.ebuild @@ -0,0 +1,70 @@ +# Copyright 1999-2014 Gentoo Foundation +# Distributed under the terms of the GNU General Public License v2 +# $Id$ + +inherit eutils toolchain-funcs + +DESCRIPTION="Sends messages to an alphanumeric pager via TAP protocol" +HOMEPAGE="http://www.qpage.org/" +SRC_URI="http://www.qpage.org/download/${P}.tar.Z" + +LICENSE="qpage" +SLOT="0" +KEYWORDS="alpha amd64 x86" +IUSE="tcpd" + +DEPEND="tcpd? ( sys-apps/tcp-wrappers )" +RDEPEND="${DEPEND} + virtual/mta" + +src_unpack() { + unpack ${A} + cd "${S}" + + epatch "${FILESDIR}"/${P}-gentoo.patch + epatch "${FILESDIR}"/${P}-fix-warning.patch +} + +src_compile() { + tc-export CC + econf || die "econf failed" + + # There doesn't seem to be a clean way to disable tcp wrappers in + # this package if you have it installed, but don't want to use it. + if ! use tcpd ; then + sed -i 's/-lwrap//g; s/-DTCP_WRAPPERS//g' Makefile + echo '#undef TCP_WRAPPERS' >> config.h + fi + + emake || die "emake failed" +} + +src_install() { + einstall || die "einstall failed" + + dodir /var/spool/qpage + fowners daemon:daemon /var/spool/qpage + fperms 770 /var/spool/qpage + + dodir /var/lock/subsys/qpage + fowners daemon:daemon /var/lock/subsys/qpage + fperms 770 /var/lock/subsys/qpage + + insinto /etc/qpage + doins example.cf || die "doins example.cf failed" + + doinitd "${FILESDIR}"/qpage +} + +pkg_postinst() { + elog + elog "Post-installation tasks:" + elog + elog "1. Create /etc/qpage/qpage.cf (see example.cf in that dir)." + elog "2. Insure that the serial port selected in qpage.cf" + elog " is writable by user or group daemon." + elog "3. Set automatic startup with rc-update add qpage default" + elog "4. Send mail to tomiii@qpage.org telling him how" + elog " you like qpage! :-)" + elog +} |